curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization or folder scope:
- FOLDER_ADMIN
- FOLDER_MOVER
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/folders/{folder_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"folder_name","parent_id":"12345678-1234-1234-1234-123456789012"}'{
"labels": {},
"name": "<string>",
"organization_id": "<string>",
"parent_id": "<string>",
"path": [
{
"id": "<string>",
"name": "<string>"
}
],
"resource_id": "<string>",
"resource_type": "FOLDER"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Set parent_id to empty string '' or 'root' to move a folder to the root level.
labels are key-value pairs used to organize and categorize resources. If the labels field is included in the request: Any existing labels on the folder that are not included will be removed, and any new labels specified will be added. If the labels field is omitted from the request entirely, all existing labels will remain unchanged.
Show child attributes
Show child attributes
Response
A successful response.
FolderResource describes a resource, and includes info about its lineage (parent/ancestors).
labels are key-value pairs used to organize and categorize resources.
Show child attributes
Show child attributes
name is the resource's name.
organization_id is the id of the organization this resource belongs to.
parent_id is the id of the resource's parent folder. "root" represents a root level resource.
path contains the ids and names of ancestors that make up the resource's lineage.
Show child attributes
Show child attributes
resource_id is the resource's id.
FOLDER, CLUSTER 
